if (timing > 4) {timing = 0; itemUsed = true; mainSkill = blunt_lvl; var damage;
var firstHit; var rand = Math.floor(Math.random()*4); var max_damage = 400;
var itemID = 2009; var breakSpeech = "No more fishing for today"; var repair = 8;
var power = Math.sqrt(blunt_lvl*8)+4;
var stunChance = 1; var stunPower = 1;

bluntEngine(firstHit,rand,maxDamage,citemID,breakSpeech,repair,power,damage,stunChance,stunPower);

if (pinv.getCurrentItem() != null) {if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem();}}
if (pinv.getOffhandItem() != null) {if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem();}}
repairFun(repair,itemID,ent.damage);

rotation = player.getRotation(); pos = player.getPosition(); pos.x += Math.cos((rotation.yaw+90)/57.25);
pos.y -= 2; pos.z += Math.sin((rotation.yaw+90)/57.25);
if (world.getBlockID(Math.round(pos.x),Math.round(pos.y),Math.round(pos.z)) == 9 || 
world.getBlockID(Math.round(pos.x),Math.round(pos.y+1),Math.round(pos.z)) == 9)
{if (k > 14.9 - Math.sqrt(timing+fishing_lvl)/9 && k < 15.1 - Math.sqrt(timing+fishing_lvl)/12) 
{pinv.addItem(Item(2007,1)); fishing_xp += 2;} 
if (k > 15.1 - Math.sqrt(timing+fishing_lvl)/12 && k < 15.4 - Math.sqrt(timing+fishing_lvl)/13) 
{pinv.addItem(Item(2014,1)); fishing_xp += 6;}
if (k > 15.4 - Math.sqrt(timing+fishing_lvl)/13 && k < 15.6 - Math.sqrt(timing+fishing_lvl)/15) 
{pinv.addItem(Item(2015,1)); fishing_xp += 12}
if (k > 15.6 - Math.sqrt(timing+fishing_lvl)/15) 
{pinv.addItem(Item(2016,1)); fishing_xp += 20}
ent.damage = Math.min(ent.damage+1,400); sound.playSoundUI("sound.Harpoon")} 

if (hitBlock != null) {if (world.getBlockID(hitBlock.x,hitBlock.y,hitBlock.z) == 209 &&
world.getMetadata(hitBlock.x,hitBlock.y,hitBlock.z) == 2) {world.setBlockID(hitBlock.x,hitBlock.y,hitBlock.z,9);
for (i = 0; netA [i] != undefined && netA [i] [7] != undefined &&
(hitBlock.x != netA [i] [7] [0] || hitBlock.y != netA [i] [7] [1] || hitBlock.z != netA [i] [7] [2]); i++) {}
if (netA [i] != undefined && netA [i] [7] != undefined  && netA [i] [8] != 0) 
{pinv.addItem(Item(netA [i] [8],1)); fishing_xp += netA [i] [9];} pinv.addItem(Item(2008,1)); 
fishing_xp += 0.05; netA [i] = [false, 0, 0, 0, false, false, 0, 0, 0, 0, 0];}}}